=== tests/Makefile ===
SUBDIRS := bugs features legacy misc

all: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

.PHONY: all $(SUBDIRS)
