=== debian/changelog ===
konsole (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Update kconf update script version to 6.
    - Wrap output it html document & body. (kde#500515)
    - Allow /path/to/file.cpp:123:123 paths. (kde#501004)
    - Fix search wrapping behavior at boundaries. (kde#396510)
    - Fix: disable copy action even when semantic integration is detected.
    - Feat(TerminalDisplay): Copy to X11 selection immediately on mouse release.
  * New upstream release (25.04.2).
    - Clear the arguments if the command is not found.
  * Drop backported commit now part of the upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 17 Jun 2025 08:52:48 +0200
