## konsole 25.08.1+p24.04+vstable+git20250927.0354

=== debian/changelog ===
konsole (4:25.08.1+p24.04+vstable+git20250927.0354-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 27 Sep 2025 03:54:11 +0000
