## konsole 25.08.2

=== tests/bugs/Makefile ===
all: spam-stderr
