=== tests/legacy/Makefile ===
all: audit quote
