=== tests/misc/Makefile ===
all: ripple
