## konsole 25.08.2+p24.04+vstable+git20251019.0528

=== doc/manual/CMakeLists.txt ===
########### install files ###############

KDOCTOOLS_CREATE_HANDBOOK(index.docbook
                    INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
                    SUBDIR konsole)
