## konsole 25.08.2+p24.04+vstable+git20251021.0343

=== debian/changelog ===
konsole (4:25.08.2+p24.04+vstable+git20251021.0343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:43:07 +0000
