=== debian/changelog ===
konsole (4:25.08.2+p24.04+vunstable+git20251011.0000-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 00:00:24 +0000
