## konsole 25.08.2+p24.04+vunstable+git20251015.1325

=== debian/changelog ===
konsole (4:25.08.2+p24.04+vunstable+git20251015.1325-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:25:14 +0000
