## konsole 25.08.2+p24.04+vunstable+git20251020.1141

=== debian/changelog ===
konsole (4:25.08.2+p24.04+vunstable+git20251020.1141-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:41:51 +0000
