## konsole 25.12.0+p24.04+vstable+git20251224.0723

=== debian/changelog ===
konsole (4:25.12.0+p24.04+vstable+git20251224.0723-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:23:24 +0000
