## konsole 25.12.0+p24.04+vstable+git20251231.0310

=== debian/changelog ===
konsole (4:25.12.0+p24.04+vstable+git20251231.0310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:10:09 +0000
