## konsole 25.12.1+p24.04+vstable+git20260106.1617

=== debian/changelog ===
konsole (4:25.12.1+p24.04+vstable+git20260106.1617-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 16:18:05 +0000

konsole (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:25:44 +1000
