## konsole 25.12.1+p24.04+vstable+git20260127.1032

=== debian/changelog ===
konsole (4:25.12.1+p24.04+vstable+git20260127.1032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 27 Jan 2026 10:32:35 +0000
