## konsole 25.12.1+p24.04+vunstable+git20260205.0650

=== debian/changelog ===
konsole (4:25.12.1+p24.04+vunstable+git20260205.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:51:00 +0000
